Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ajp
Class Logger

    java.lang.Object
      org.apache.ajp.Logger

public class Logger
extends java.lang.Object

A simple logger class used by classes in this package. The intention is for this class to be overridden so that log messages from classes in this package can be adapted to loggers used by the connector implementations for various servlet containers.

Author:
  Kevin Seguin [seguin@apache.org]

Constructor Summary
`Logger()`

Method Summary
`void` | `log(java.lang.String msg)` Log the given message.
`void` | `log(java.lang.String msg, java.lang.Throwable t)` Log the given message and error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Logger

    public Logger()

Method Detail

### log

    public void log(java.lang.String msg)

  Log the given message.

  Parameters:
    `msg` - The message to log.

### log

    public void log(java.lang.String msg,
                    java.lang.Throwable t)

  Log the given message and error.

  Parameters:
    `msg` - The message to log.
    `t` - The error to log.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.